
Synnefo - Bug # 1732

Status: Feedback Priority: Medium

Author: Antony Chazapis Category: Pithos

Created: 12/05/2011 Assignee:

Updated: 02/08/2013 Due date:

Subject: Filename encoding in Content-Disposition headers

Description

When serving a public object, we include a Content-Disposition header so the file is presented to the end-user with its original name.

However, the current encoding scheme does not work with unicode filenames.

File:

αρχειο.txt

                         bytes: 0

                  content_type: text/plain

                          hash: d41d8cd98f00b204e9800998ecf8427e

                 last_modified: 2011-12-05T13:22:58.590020+00:00

                 x_object_hash: e3b0c44298fc1c149afbf4c8996fb92427ae41e4649b934ca495991b7852b855

          x_object_modified_by: chazapis

               x_object_public: /public/geef5

              x_object_version: 41460

    x_object_version_timestamp: 1323091378.590020

Is downloaded as: %CE%B1%CF%81%CF%87%CE%B5%CE%B9%CE%BF.txt

History

#1 - 12/05/2011 06:13 pm - Antony Chazapis

- Assignee set to Antony Chazapis

- Target version set to 0.8.1

#2 - 12/05/2011 07:53 pm - Antony Chazapis

- Target version changed from 0.8.1 to 1.0.0

This is not a simple issue: http://greenbytes.de/tech/tc2231/

Will investigate further - we need a browser compatibility test.

#3 - 01/24/2012 05:41 pm - Antony Chazapis

- Assignee deleted (Antony Chazapis)

- Target version deleted (1.0.0)

#4 - 04/13/2012 09:38 am - Antony Chazapis

- Status changed from New to Feedback

- Target version set to 1.0.0

#5 - 02/08/2013 06:50 pm - Vangelis Koukis
- Project changed from Pithos to Synnefo

- Target version deleted (1.0.0)

#6 - 02/08/2013 06:52 pm - Vangelis Koukis

- Category set to Pithos
